# Class C3P0Registry

java.lang.Object
com.mchange.v2.c3p0.C3P0Registry

public final class C3P0Registry extends Object

## Constructor Summary

Constructors
Constructor
Description
`C3P0Registry()`

## Method Summary

Modifier and Type
Method
Description
`static Set`
`allIdentityTokenized()`
`static Set`
`allIdentityTokens()`
`static Set`
`allPooledDataSources()`
`static ConnectionCustomizer`
`getConnectionCustomizer(String className)`
`static ConnectionTester`
`getConnectionTester(String className)`
`static int`
`getNumPooledDataSources()`
`static int`
`getNumPoolsAllDataSources()`
`int`
`getNumThreadsAllThreadPools()`
`static Set`
`getPooledDataSources()`
`static void`
`markClosed(PooledDataSource pds)`
`static PooledDataSource`
`pooledDataSourceByName(String dataSourceName)`
`static Set`
`pooledDataSourcesByName(String dataSourceName)`
`static com.mchange.v2.c3p0.impl.IdentityTokenized`
`reregister(com.mchange.v2.c3p0.impl.IdentityTokenized idt)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### C3P0Registry

public C3P0Registry()

## Method Details

### getConnectionTester

public static ConnectionTester getConnectionTester(String className)

### getConnectionCustomizer

public static ConnectionCustomizer getConnectionCustomizer(String className) throws SQLException

Throws:
  `SQLException`

### reregister

public static com.mchange.v2.c3p0.impl.IdentityTokenized reregister(com.mchange.v2.c3p0.impl.IdentityTokenized idt)

### markClosed

public static void markClosed(PooledDataSource pds)

### getPooledDataSources

public static Set getPooledDataSources()

### pooledDataSourcesByName

public static Set pooledDataSourcesByName(String dataSourceName)

### pooledDataSourceByName

public static PooledDataSource pooledDataSourceByName(String dataSourceName)

### allIdentityTokens

public static Set allIdentityTokens()

### allIdentityTokenized

public static Set allIdentityTokenized()

### allPooledDataSources

public static Set allPooledDataSources()

### getNumPooledDataSources

public static int getNumPooledDataSources()

### getNumPoolsAllDataSources

public static int getNumPoolsAllDataSources() throws SQLException

Throws:
  `SQLException`

### getNumThreadsAllThreadPools

public int getNumThreadsAllThreadPools() throws SQLException

Throws:
  `SQLException`